Bug 30994 - Too vague error message "Error: The UCC image was not found."
Too vague error message "Error: The UCC image was not found."
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: Image management
unspecified
Other Linux
: P5 normal
: UCC 2.0
Assigned To: Moritz Muehlenhoff
Erik Damrose
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-08 10:25 CEST by Janis Meybohm
Modified: 2014-06-12 09:20 CEST (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Janis Meybohm univentionstaff 2013-04-08 10:25:31 CEST
If the selected UCC image for installation was not found on the server, the booting client shows the message: "Error: The UCC image was not found."

This message could be more clear:
* Where is the system looking for the image (on server/on client)?
* Filename of the image
* Hint what to check next

A better message could be:

Error: The selected UCC image <Filename> was not found on the server. Please make sure you have downloaded/placed the image correctly like described in <http://docs.univention.de/ucc-manual-1.0.html#installation:imagemanagement> or <http://docs.univention.de/ucc-manual-1.0.html#imagegen:chapter>
Comment 1 Moritz Muehlenhoff univentionstaff 2013-12-18 09:19:27 CET
Simple fix
Comment 2 Moritz Muehlenhoff univentionstaff 2014-04-09 09:26:08 CEST
The message now states:

Error: The UCC image assigned to this client (configurable in the UMC computer management module on the 'Images' tab) could not be found in the directory /var/lib/univention-client-boot on the server distributing the UCC images. If you are using an official UCC image you need to download the image using the UCC image management module in the UMC. If a locally customised image is to be used, it needs to be copied to /var/lib/univention-client-boot.
Comment 3 Erik Damrose univentionstaff 2014-04-14 16:54:23 CEST
Reopen:
We could show exactly where the ucc client is looking for the image: the cmdline parameter nfsroot holds the information.

The lines are too long and are wrapped.

Plymouth only shows the last "notice" we send: So while plymouth is running, only the line "If a locally customised image is to be used, it needs to be copied to /var/lib/univention-client-boot." is shown, and even that is wrapped in my test.
-> We should think about stopping plymouth when showing extensive error messages.
Comment 4 Moritz Muehlenhoff univentionstaff 2014-04-16 12:09:19 CEST
Plymouth is now disabled before displaying the error message.

I've also reformulated the error message to include $nfsroot.
Comment 5 Erik Damrose univentionstaff 2014-04-22 14:29:51 CEST
OK: Plymouth is disabled, $nfsroot is printed in the error message
Verified
Comment 6 Moritz Muehlenhoff univentionstaff 2014-06-12 09:20:01 CEST
UCC 2.0 has been released:
 http://docs.univention.de/release-notes-ucc-2.0.html

If this error occurs again, please use "Clone This Bug".